#### Previous topic

scipy.spatial.distance.jaccard

#### Next topic

scipy.spatial.distance.mahalanobis

# scipy.spatial.distance.kulsinski

`scipy.spatial.distance.``kulsinski`(u, v)

  Computes the Kulsinski dissimilarity between two boolean 1-D arrays.

  The Kulsinski dissimilarity between two boolean 1-D arrays u and v, is defined as

  \[\frac{c_{TF} + c_{FT} - c_{TT} + n} {c_{FT} + c_{TF} + n}\]

  where \(c_{ij}\) is the number of occurrences of \(\mathtt{u[k]} = i\) and \(\mathtt{v[k]} = j\) for \(k < n\).

  Parameters:

  u : (N,) array_like, bool

  > Input array.

  v : (N,) array_like, bool

  > Input array.

  Returns:

  kulsinski : double

  > The Kulsinski distance between vectors u and v.